[Nitro] 0.13.1 Development version available (IMPORTANT BUG FIXES)

Anastasios Koutoumanos ak at navel.gr
Thu Mar 24 09:50:09 EST 2005


George Moschovitis wrote:
>>>gem install og-0.13.1.gem
>>
>>Attempting local installation of 'og-0.13.1.gem'
>>  -> Local installation can't proceed due to LoadError: RubyGem version
>>error: glue(0.13.1 not = 0.13.0)
>>Attempting remote installation of 'og-0.13.1.gem'
>>ERROR:  While executing gem ... (Gem::GemNotFoundException)
>>     Could not find og-0.13.1.gem (> 0) in the repository
> 
> 
> Thanks for reporting,
> 
> I just uploaded a fixed gem.
> 
> keep hacking :)
> 
> -g.
> 
ok, finally got it to work!

Now, another issue. I thought that the ruby windows oneclick installer 
contains the mysql bindings, apparently it does not.

In fact, I tried to run the no_xsl_blog, but kept getting errors related 
to the MysqlAdapter. After realising that I had no mysql support bundled 
with the default ruby installation, I spent some time trying to 
configure it my own. I gave up after of 5 minutes, thinking "what the 
heck, why bother, ruby should be fun, not fustrating, so let's try 
another route!"

I changed line 16 in no_xsl_blog/run.rb
#	:adapter => 'mysql',
	:adapter => 'sqlite',

then crossed my fingers, and ruby run.rb. Nope... got an error again.
Not giving up: >gem install sqlite, chose the 2nd option. Error again.
 >gem install sqlite3, error again, referring to the sqlite3.dll. 
Googled, browsed to http://www.sqlite.org/download.html, grabbed the 
http://www.sqlite.org/sqlitedll-3_2_0.zip moved the dll to the system32 
folder, crossed fingers again:

Voilla! I have the blog example running, feeling good, ready to start my 
project with nitro ;-)

/t.

-- 
Navel Ltd
http://www.navel.gr - info at navel.gr - +30 210 6898050

Have fun: www.joy.gr/  and create: www.navel.gr/nitro



More information about the Nitro-general mailing list